Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001690KdenliveMLTpublic2010-07-14 17:122010-09-14 23:01
ReporterGranjow 
Assigned Toddennedy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform64bit OSsidux (debian based)OS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.8 
Summary0001690: Monitors freeze
DescriptionTest project: http://granjow.net/uploads/kdenlive/kdenlive-freeze.tar.bz2 [^]

MLT from git, 0.5.6
kdenlive from SVN (current)
FFmpeg version SVN-r24078

To reproduce:
* Extract and open the project. Use placeholders for missing clips.
* In the project, go to 1:15 and start playing the project.
* When it reaches 1:30:15, replay will stop and the CPU will go to 100%, and stay there even after exiting kdenlive.

Does not happen when sound is disabled for track 1.
Does not happen either when starting replay in the gap between the two clips, e.g. at 1:28. (??? why?)

Multimedia backend is Xine.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0005354)
ddennedy (developer)
2010-07-15 07:21

I reproduced it, and I see it is getting stuck when fetching audio from ffmpeg. I also reproduced it in the clip monitor by letting it play to the end of the clip. This lead to me being able to reproduce in melt on the command line by 'melt the.avi -repeat 2'. I see this happening for some other AVIs that I have as well. I have not yet been able to reproduce it for any other file type. Continuing to debug..
(0005355)
ddennedy (developer)
2010-07-15 07:42

Some files that are problematic, I can workaround the problem by trimming off a little at the beginning (in=1 after filename on melt). Your ac-leap-of-faith... I can not. Something to do with seeking, but does not reproduce in ffplay.
(0005356)
ddennedy (developer)
2010-07-15 07:49

Hmm, well, mlt uses av_seek_frame(), but ffplay uses avformat_seek_format() which is marked as new, experimental, and not recommended. Isn't that just dandy?
(0005357)
ddennedy (developer)
2010-07-15 08:18
edited on: 2010-07-15 08:19

The following change fixes it. I need to test it more before committing.

--- a/src/modules/avformat/producer_avformat.c
+++ b/src/modules/avformat/producer_avformat.c
@@ -1551,7 +1556,7 @@ static int decode_audio( producer_avformat this, int *ignore, AVPacket *pkt, int
 #endif
         if ( ret < 0 )
         {
- ret = 0;
+ mlt_log_warning( MLT_PRODUCER_SERVICE(this->parent), "audio decoding error\n", ret );
             break;
         }

(0005358)
Granjow (developer)
2010-07-15 09:44

Just tested, it works!
Do I understand correctly, when 0 was returned, it just kept looping?
Thank you very much.
(0005375)
ddennedy (developer)
2010-07-20 04:46

Fixed in MLT git commit 8e6197f.

- Issue History
Date Modified Username Field Change
2010-07-14 17:12 Granjow New Issue
2010-07-14 17:15 Granjow Description Updated View Revisions
2010-07-15 07:11 ddennedy Assigned To => ddennedy
2010-07-15 07:11 ddennedy Status new => assigned
2010-07-15 07:21 ddennedy Note Added: 0005354
2010-07-15 07:42 ddennedy Note Added: 0005355
2010-07-15 07:49 ddennedy Note Added: 0005356
2010-07-15 08:18 ddennedy Note Added: 0005357
2010-07-15 08:19 ddennedy Note Edited: 0005357 View Revisions
2010-07-15 09:44 Granjow Note Added: 0005358
2010-07-20 04:46 ddennedy Note Added: 0005375
2010-07-20 04:46 ddennedy Status assigned => resolved
2010-07-20 04:46 ddennedy Fixed in Version => Recent git
2010-07-20 04:46 ddennedy Resolution open => fixed
2010-09-14 11:01 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker